summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2016-10-03 22:41:38 +0200
committerPatrice Clement <monsieurp@gentoo.org>2016-10-04 08:16:35 +0200
commitcca4fb9bd9652c727fe6f05d2d0620de816ab7ac (patch)
tree5d8d199fddeab2a91022ade96f1bf4343ebb578c /dev-java/jopt-simple/jopt-simple-4.9.ebuild
parentdev-ruby/rex-powershell: add 0.1.65 (diff)
downloadgentoo-cca4fb9bd9652c727fe6f05d2d0620de816ab7ac.tar.gz
gentoo-cca4fb9bd9652c727fe6f05d2d0620de816ab7ac.tar.bz2
gentoo-cca4fb9bd9652c727fe6f05d2d0620de816ab7ac.zip
dev-java/jopt-simple: version bump.
Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-java/jopt-simple/jopt-simple-4.9.ebuild')
-rw-r--r--dev-java/jopt-simple/jopt-simple-4.9.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-java/jopt-simple/jopt-simple-4.9.ebuild b/dev-java/jopt-simple/jopt-simple-4.9.ebuild
new file mode 100644
index 00000000000..5edf621065a
--- /dev/null
+++ b/dev-java/jopt-simple/jopt-simple-4.9.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="A Java library for parsing command line options"
+HOMEPAGE="https://pholser.github.com/jopt-simple/"
+SRC_URI="https://github.com/pholser/${PN}/tarball/${P} -> ${P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+IUSE=""
+
+RDEPEND=">=virtual/jre-1.6"
+DEPEND=">=virtual/jdk-1.6"
+
+S="${WORKDIR}/pholser-${PN}-94ad77a"
+
+JAVA_SRC_DIR="src/main/java"
+
+java_prepare() {
+ rm -v pom.xml || die
+}
+
+src_install() {
+ java-pkg-simple_src_install
+ dodoc README.md
+}